----- Plugins: Directions -----

--- Shows a direction arrow towards a unit or a player by name
-- @param		id			string	Identofication of the arrow, used when interacting with the arrow later, (hiding).
-- @param		uID 		string	A unit indetifier to wich the arrow should point. Have to be a unit within your party, (party1..n or raid1..n).
-- @optional 	tName 		string	Secondary way of finding the target, if no uID or an incorrect uID is supplied it will try and find the uID from this name.
-- @optional 	away 		number	A number representing the safe distance, that is when the distance to the target is greater then away it will be greem else fade towards red the closer the target is. If nill is passed the arrow will point towards the target instead.
-- @optional 	extra	string|number	String or SpellID that will be used to put an extra tag to the arrow, if it is a spellID the icon will also be used.
-- @optional 	icon	string|number	Texture path or spellID. 
-- @usage RW.Callbacks:Fire("DirectionToNameOrUnit", arrow1, raid5, nil, 24323)
function DirectionToNameOrUnit(event, id, uID, tName, away, extra, icon)
end

--- Shows a direction arrow towards a point.
-- @param		id			string	Identofication of the arrow, used when interacting with the arrow later, (hiding).
-- @param		x			number	The X position.
-- @param		y			number	The Y position.
-- @optional 	away 		number	A number representing the safe distance, that is when the distance to the target is greater then away it will be greem else fade towards red the closer the target is. If nill is passed the arrow will point towards the target instead.
-- @optional 	extra	string|number	String or SpellID that will be used to put an extra tag to the arrow, if it is a spellID the icon will also be used.
-- @optional 	icon	string|number	Texture path or spellID. 
function DirectionToPosition(event, id, x, y, away, extra, icon)
end

--- Hides all current direction arrows.
function DirectionHideAll(event)
end

--- Hides one specific arrow
-- @param	id	string The ID of the arrow that should be hidden.
function DirectionHide(event, id)
end

---- Triggered by Directions:

--- Triggered when the target is reached, or when out of danager range if away was set
-- @param	id	string	The identification of the direction that was reached.
function DirectionReached(event, id)
end

---- End Plugin: Directions -----
